#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 monad-par
version:              0.3.6
visibility:           public
id:                   monad-par-0.3.6-5lZy8yzddYJLbpsiX5N9T0
key:                  monad-par-0.3.6-5lZy8yzddYJLbpsiX5N9T0
license:              BSD-3-Clause
copyright:            (c) Simon Marlow 2011
maintainer:
    Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>

author:               Simon Marlow, Ryan Newton
stability:            Experimental
homepage:             https://github.com/simonmar/monad-par
synopsis:             A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.

    For complete documentation see "Control.Monad.Par".

    Some examples of use can be found in the @examples/@ directory of
    the source package.

    Other related packages:

    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.

    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.

    Changes in 0.3.4 relative to 0.3:

    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.

    * Added "Control.Monad.Par.IO"

category:             Control,Parallelism,Monads
abi:                  ec67d5a7bb8be8ff6f336655adf813bb
exposed:              True
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal

hidden-modules:       Control.Monad.Par.Scheds.DirectInternal
import-dirs:          /usr/lib/ghc-9.4.8/site-local/monad-par-0.3.6
library-dirs:         /usr/lib/ghc-9.4.8/site-local/monad-par-0.3.6
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/monad-par-0.3.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-monad-par
hs-libraries:         HSmonad-par-0.3.6-5lZy8yzddYJLbpsiX5N9T0
depends:
    abstract-deque-0.3-9B3sN5Er60f7ACk1wK93g9
    abstract-par-0.3.3-7WRIVoWpARZGuBib8Nevl1 array-0.5.4.0
    base-4.17.2.1 containers-0.6.7 deepseq-1.4.8.0
    monad-par-extras-0.3.3-4c9Tv7kaKHWCPZ3VFm5i0z mtl-2.2.2
    mwc-random-0.15.2.0-LGDu0vyCwvJvMM0yIrRXu
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy

haddock-interfaces:   /usr/share/doc/haskell-monad-par/html/monad-par.haddock
haddock-html:         /usr/share/doc/haskell-monad-par/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

